RETAIL VERSION DETAILS
======================


Usage : RPhone [options] -l
      : RPhone [options] [-p host] hostname/alias

   where:  hostname/alias = Remote host/alias to call

Options:
  -a --auto-answer        : Automatically answer incoming calls
  -d --autodial host      : Autodial host if phone off hook
  -h --help               : Display this help message.
  -l --listen             : Only listen for incoming calls
  -v --verbose n          : Set amount of information displayed (0=none)
  --disable-menu          : Disable internal menu
  --ringfile filename     : Set sound file for "ring" annunciation
  --ringdelay seconds     : Set delay between playing above file
  --save                  : Save parameters in configuration file.

Gatekeeper options:
  -g --gatekeeper host    : Specify gatekeeper host.
  -G --gatekeeper-id name : Specify gatekeeper by ID.
  -n --no-gatekeeper      : Disable gatekeeper discovery.
  -r --require-gatekeeper : Exit if gatekeeper discovery fails.
     --password pwd       : Password for gatekeeper H.235 authentication.
  -p --proxy host         : Proxy/Gateway hostname/ip address

Divert options:
  -F --forward-always party    : Forward to remote party.
  -B --forward-busy party      : Forward to remote party if busy.
  -N --forward-no-answer party : Forward to remote party if no answer.
     --answer-timeout time     : Time in seconds till forward on no answer.

Protocol options:
  -i --interface ipaddr   : Select interface to bind to for incoming connections
 (default is all interfaces)
  --listenport            : Port to listen on for incoming connections (default
1720)
  --no-listenport         : No listen port
  --connectport port      : Port to connect to for outgoing connections (default
 1720)
  --connectring num       : Distinctive ring number to send to remote - 0 (defau
lt) to 7
  -b --bandwidth n        : Limit bandwidth usage to (n * 100) bits/second
  -f --fast-disable       : Disable fast start
  -T --h245tunneldisable  : Disable H245 tunnelling.
  -u --user name          : Set local alias name(s) (defaults to login name)
  -S --disable-h245-in-setup Disable H245 in setup
  --tos n                 : Set IP Type of Service byte to n
  --setup-param string    : Arbitrary data to be put into H.225 Setup PDU
  --portbase port         : Base port for H.245 and RTP data
  --portmax port          : Maximum port for H.245 and RTP data
  --translate ip          : Set external IP address to ip if masQueraded

Audio options:
  -e --silence            : Disable silence detection for GSM and software G.711

  -j --jitter [min-]max   : Set minimum (optional) and maximum jitter buffer (in
 milliseconds).
  --recvol n              : Set record volume
  --playvol n             : Set play volume

Video transmit options:
  --videodevice dev       : Select video capture device (default /dev/video0)
  --videotransmit         : Enable video transmission
  --videolocal            : Enable local video window
  --videosize size        : Sets size of transmitted video window
                             size can be small (default) or large
  --videoformat type      : Set capture video format
                             can be auto (default) pal or ntsc
  --videocolorfmt format  : Set the preferred capture device color format
                             can be RGB24, RGB24F, RGB32, ...
  --videoinput num        : Select capture video input (default is 0)
  --videotxquality n      : Select sent video quality,(def 9). 1(best)<=n<=31
  --videotxminquality n   : Select video quality lower limit,(def 1). 1(best)<=n
<=31
                             A value of 4 works best for NetMeeting
  --videofill n           : Select number of updated background blocks per frame
 2(def)<=n<=99
  --videotxfps n          : Maximum number of video frames grabbed per sec 2<10(
def)<30
  --videosendfps n        : Target minimum number of video frames sent per sec 0
.001<6(def)<30
  --videobitrate n        : Enable bitrate control.   16< n <2048 kbit/s (net bw
)

Video receive options:
  --videoquality n        : Set received video quality hint - 0 <= n <= 31
  --videoreceive viddev   : Receive video to following device
                          :      null     do nothing
                          :      ppm      create sequence of PPM files

Video options:
  --videotest             : Display local video. Exit after 10 seconds. NO h323
call

Sound card options:
  -s --sound device       : Select sound card input/output device
  --sound-in device       : Select sound card input device (overrides --sound)
  --sound-out device      : Select sound card output device (overrides --sound)
  --sound-buffers n       : Set sound buffer depth (default=2)


VoIPBlaster options:
  -V --voipblaster num    : Use device number

Audio Codec options:
  -D --disable codec      : Disable the specified codec (may be used multiple ti
mes)
  -P --prefer codec       : Prefer the specified codec (may be used multiple tim
es)
  --g711frames count      : Set the number G.711 frames in capabilities (default
 30)
  --gsmframes count       : Set the number GSM frames in capabilities (default 4
)
  --g7231                 : Set G.723.1 as preferred codec
  --gsm                   : Set GSM 06.10 as preferred codec (default)
  --g711-ulaw             : Set G.711 uLaw as preferred codec
  --g711-alaw             : Set G.711 ALaw as preferred codec
  --g728                  : Set G.728 as preferred codec
  --g729                  : Set G.729 as preferred codec
  --g7231                 : Set G.723.1 as preferred codec
  -I --input-mode mode    : Set the mode for sending User Input Indications (DTM
F)
                             can be string, signal, q931 or rfc2833 (default is
string)
  -U --user-input-cap mode : Set the mode for User Input Capabilities
                             can be string, signal, rfc2833 or none (default is
all)

